### Function

# Clutter Color new

#### Declaration [src]

    ClutterColor*
    clutter_color_new (
      guint8 red,
      guint8 green,
      guint8 blue,
      guint8 alpha
    )

#### Description [src]

Creates a new `ClutterColor` with the given values.

This function is the equivalent of:

      clutter_color_init (clutter_color_alloc (), red, green, blue, alpha);

#### Parameters

`red`

  Type: `guint8`

  Red component of the color, between 0 and 255.

`green`

  Type: `guint8`

  Green component of the color, between 0 and 255.

`blue`

  Type: `guint8`

  Blue component of the color, between 0 and 255.

`alpha`

  Type: `guint8`

  Alpha component of the color, between 0 and 255.

#### Return value

Type: `ClutterColor`

The newly allocated color. Use `clutter_color_free()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.